:root {
    --primary-color: #d6003d;
    --primary-color-dark: #a80030;
    --topbar-height: 55px;
    --text-color-primary: var(--primary-color);
    --text-color-primary-dark: var(--primary-color-dark);
    color-scheme: normal !important;
    --navbar-height: 60px;
    --sidebar-width: 250px;

    --font-jakarta: "Plus Jakarta Sans";
    --font-roboto: "Roboto";
    --font-poppins: "Poppins";
    --font-montserrat: "Montserrat";
    --font-playfair: "Playfair Display";
    --font-inter: "Inter";
    --font-varela-round: "Varela Round";
    --font-roboto-mono: "Roboto Mono";
    --font-roboto-slab: "Roboto Slab";
    --font-roboto-condensed: "Roboto Condensed";
    --font-roboto-flex: "Roboto Flex";

}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Roboto", "Poppins", sans-serif;
}

.text-color-primary { color: var(--text-color-primary); }
.text-color-primary-dark { color: var(--text-color-primary-dark); }

html,
body {
    max-width: 100%;
    overflow-x: hidden;
}

body {
    font-size: 0.9em;
    background-color: rgba(255, 255, 255, 0.95);
}

.wrapper {
    width: min(1200px, 98%);
    /* border: 1px solid #000; */
    background-color: #FFF;
    margin: 0 auto;
    min-height: 100vh;
}

h1, h2, h3, h4, h5, h6 {
    font-family: "Montserrat", "Roboto", "Poppins", sans-serif;
    /* font-weight: 500; */
}

h1 {
    font-size: min(36px, 48px);
    font-weight: 600;
}

h2 {
    font-size: min(30px, 36px);
    font-weight: 550;
}

h3 {
    font-size: min(24px, 28px);
}

h4 {
    font-size: min(20px, 24px);
}

h5 {
    font-size: min(16px, 20px);
}

h6 {
    font-size: min(14px, 16px);
}

.cursor-pointer { cursor: pointer; }

.containers {
    max-width: 100vw;
    /* overflow-x: hidden; */
    display: grid;
    /* Membuat 2 kolom: lebar sidebar dan sisa layar */
    grid-template-columns: var(--sidebar-width) 1fr;
    /* Membuat 3 baris: navbar, konten utama (auto), dan footer */
    grid-template-rows: var(--navbar-height) 1fr auto;
    min-height: 100vh;
    grid-template-areas:
        "nav nav"
        "aside main"
        "aside footer";
}

/* Navbar Tetap di Atas (Fixed) */ 
.navbar {
    grid-area: nav;
    position: fixed;
    top: 0;
    width: 100%;
    height: var(--navbar-height);
    background-color: var(--primary-color);
    color: white;
    z-index: 1000;
    display: flex;
    align-items: center;
    padding: 0 20px;
}

/* Sidebar Menu */
.sidebars {
    grid-area: aside;
    background-color: #ebebeb;
    /* padding-top: var(--navbar-height); */
    /* Agar tidak tertutup navbar */
    border-right: 1px solid #ddd;
    scrollbar-width: none;
    -ms-overflow-style: none;
}

/* Konten Utama */
.content {
    grid-area: main;
    padding: 20px;
    margin-top: 0;
    min-width: 0;
    /* Sudah diatur oleh grid */
}

/* Footer */
.footer {
    grid-area: footer;
    background-color: #000000;
    color: white;
    padding: 15px;
    text-align: center;

    ol, li {
        list-style: none;
        margin: 0;
        padding: 0;
        display: flex;
        align-items: center;
        justify-content: center;
        gap:10px;
        flex-wrap: wrap;
    }
}

.logo-text-top {
    font-family: var(--font-varela-round);
    font-size: 1.8rem;
    font-weight: bold;
    width:var(--sidebar-width);
}

.list-kategori {
    > ol {
        margin:0;
        padding:0;
        list-style: none;
        > li span {
            transition: padding-left ease 0.5s;
        }
        > li:hover > span {
            background-color: var(--primary-color-dark);
            color:#FFF;
            display: block;
            padding:0 15px;
            text-align: end;
            padding-left: 50px;
            border-radius: 999px;
        }
    }
    > ol > li {
        cursor:pointer;
        span {
            margin-left:15px;
            margin-right:15px;
            font-weight: bold;
            font-size: 1.1rem;
        }
        margin-top: 5px;
        border-bottom: 1px solid #DDD;

        > ul {
            margin: 0;
            padding: 0;
            list-style: none;

            > li {
                padding:5px 40px 5px 40px;
                cursor: pointer;
                border-bottom:1px  solid #DDD;
            }

            > li:hover {
                background-color: #DDD;
                color: var(--primary-color);
            }

            > li:first-child {
                margin-top:5px;
                border-top: 1px solid #DDD;
            }
            
            > li:last-child {
                border-bottom: 0;
                /* background-color: #DDD; */
            }
    
        }
    }

}


.fs-9em { font-size:0.9em; }
.fs-8em { font-size:0.8em; }
.fs-7em { font-size:0.7em; }
.fs-6em { font-size:0.6em; }
.fs-5em { font-size:0.5em; }
.fs-4em { font-size:0.4em; }

.banner-16-9 {
    width:100%;
    aspect-ratio: 16/9;
}

.banner-3-2 {
    width:100%;
    aspect-ratio: 3/2;
}

.banner-4-3 {
    width:100%;
    aspect-ratio: 4/3;
}

.banner-1-1, .scale_1-1 {
    width:100%;
    aspect-ratio: 1/1;
    object-fit: contain;
    object-position: center;
}

.banner-2-1 {
    width:100%;
    aspect-ratio: 2/1;
    object-fit: cover;
    object-position: center;
}

.banner-1-2 {
    width: 100%;
    aspect-ratio: 1/2;
    object-fit: cover;
    object-position: center;
}

.banner-3-1 {
    width:100%;
    aspect-ratio: 3/1;
}

.banner-4-1 {
    width:100%;
    aspect-ratio: 4/1;
}

.banner-2-3 {
    width:100%;
    aspect-ratio: 2/3;
}

#mycart {
    display: flex;
    align-items: center;
    justify-content: center;
    position:fixed;
    top:65px;
    right:15px;
    bottom:inherit;
    z-index: 1001;
    background-color: var(--primary-color-dark);
    color:#FFF;
    padding:10px;
    border-radius: 999px;
    aspect-ratio: 1/1;
    cursor: pointer;
    > div {
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
    }
    > div > span {
        top:-10px;
        right:-5px;
    }
    i {
        font-size:1.1rem;
    }
}

.f-box-wrapper {
    width: 100%;
    height:100dvh;
    overflow: hidden;
    /* background-color: rgba(154, 154, 154, 0.6); */
    position:fixed;
    z-index: 2000;
    top:0;
    left:0;
    overscroll-behavior: contain;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    backdrop-filter: blur(4px);
    transition: all ease 0.5s;
    transform: translateY(-100%);
    
    .f-box {
        width:min(480px,95%);
        height:95dvh;
        border: 1px solid #d1d1d1;
        background-color: #FFF;
        border-radius:10px;
        overflow: hidden;
        overscroll-behavior: contain;

        .f-box-header {
            height:60px;
            background-color: var(--primary-color);
            color:#FFF;
            padding:0 15px;
            display: flex;
            align-items: center;
            justify-content: space-between;
        }

        .f-box-body {
            height: calc(95dvh - 120px);
        }

        .f-box-footer {
            height:60px;
            border-top:1px solid #cccccc;
            padding:0 15px;
            display: flex;
            align-items: center;
            justify-content: center;
        }
    }
}

.f-box-wrapper.on {
    transform: translateY(0);
    /* backdrop-filter: inherit; */
}

#sub-section {
    margin-right:85px;

    .btn {
        border-color: var(--primary-color);
        background-color: #FFF;
        flex-grow: 1;
        color:var(--primary-color);
        box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.1);
        transition: all ease 0.5s;
    }

    .btn:hover {
        background-color: var(--primary-color);
        color: #FFF;
    }
}

.text-truncate-2 {
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
}

.text-truncate-3 {
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
}

.shop-item:hover {
    border-color:var(--primary-color-dark) !important;
    cursor: pointer;
}


.film-wrapper {
    position: relative;
    width: 100%;
    overflow: hidden;
    /* PENTING */
}
.film-viewport {
    width: 100%;
    overflow-x: hidden;
}

.film-scroll {
    display: flex;
    gap: 8px;
    overflow-x: auto;
    overflow-y: hidden;
    scroll-behavior: smooth;
    padding-bottom: 6px;
    scrollbar-width: none;
    -ms-overflow-style: none;
    max-width: 100%;
    box-sizing: border-box;
    scroll-snap-type: x mandatory;
}

/* sembunyikan scrollbar (opsional) */
.film-scroll::-webkit-scrollbar {
    height: 6px;
}

.film-scroll::-webkit-scrollbar-thumb {
    background: #ccc;
    border-radius: 4px;
}

.film-item {
    flex: 0 0 auto;
    width: 120px;
    /* ukuran poster */
    border-radius: 6px;
    box-shadow: 0 2px 6px rgba(0, 0, 0, .15);
    background: #fff;
    scroll-snap-align: start;
}

.film-item img {
    width: 100%;
    border-radius: 6px;
    display: block;
}

.film-wrapper {
    position: relative;
}

.scroll-btn {
    position: absolute;
    top: 40%;
    z-index: 10;
    background: rgba(0, 0, 0, .5);
    color: #fff;
    border: none;
    width: 32px;
    height: 32px;
    border-radius: 50%;
    cursor: pointer;
}

.scroll-btn.left {
    left: 0;
    display:none;
}

.scroll-btn.right {
    right: 0;
    display:none;
}

.film-wrapper:hover .scroll-btn {
    display:block  !important;
}